#pragma once

#include "CoreMinimal.h"
#include "BaseLoadoutPartViewData.h"
#include "EStatusEffectType.h"
#include "SkillViewData.generated.h"

USTRUCT(BlueprintType)
struct FSkillViewData : public FBaseLoadoutPartViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsUnlockable;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsLocked;

	UPROPERTY(BlueprintReadWrite, Transient)
	EStatusEffectType StatusEffectType;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsRechargeable;

	UPROPERTY(BlueprintReadWrite, Transient)
	bool IsRechargeableActive;

public:
	DBDUIVIEWINTERFACES_API FSkillViewData();
};

FORCEINLINE uint32 GetTypeHash(const FSkillViewData) { return 0; }
